Skip to main content
GET
https://api-oms.verolabs.co
/
api
/
v1
/
util
/
ioi
/
advertisements
Query IOI advertisements (public board data)
curl --request GET \
  --url https://api-oms.verolabs.co/api/v1/util/ioi/advertisements \
  --header 'Authorization: Bearer <token>'
{
  "symbol": "<string>",
  "status": "<string>",
  "side": "<string>",
  "limit": 123,
  "offset": 123,
  "count": 123,
  "advertisements": [
    {
      "id": 123,
      "rawMessageID": 123,
      "receivedAt": "2023-11-07T05:31:56Z",
      "ioiId": "<string>",
      "ioiRefId": "<string>",
      "broker": "<string>",
      "symbol": "<string>",
      "side": "<string>",
      "qty": 123,
      "price": 123,
      "transType": "<string>",
      "repoHaircutRatio": 123,
      "collateralValue": 123,
      "contactNo": "<string>",
      "status": "<string>",
      "rejReason": 123,
      "sourceSeq": 123,
      "createdAtNs": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

symbol
string

Optional trading symbol filter.

status
string

Optional status filter.

side
string

Optional side filter.

limit
integer

Page size. Defaults to 200; capped by the per-API max limit.

Required range: x >= 1
offset
integer

Zero-based number of records to skip.

Required range: x >= 0

Response

IOI advertisements result

IOI advertisement query response.

symbol
string

Trading symbol.

status
string

Status value returned by the API.

side
string

Order or quote side.

limit
integer

Maximum number of records returned.

offset
integer

Zero-based number of records skipped before returning results.

count
integer

Number of records in the response page or aggregation.

advertisements
object[]

IOI advertisement records returned for the current page.